﻿unit Unit1;

{
  This project is based on liaobo's work.
  http://www.cnblogs.com/china1/p/3410894.html

  I've made some minor changes to be able to show a splash in the
  center of the screen with different resolutions on different devices.

  http://www.qmion.com/Delphi/Android/Examples/FastSplash/

  /Pontus
}

interface

uses
  System.SysUtils,
  System.UITypes,
  System.Classes,
  FMX.Types, FMX.Ani, FMX.Objects, FMX.Controls, FMX.StdCtrls, FMX.Forms;

type
  TForm1 = class(TForm)
    lblDone: TLabel;
    Rectangle1: TRectangle;
    ColorAnimation1: TColorAnimation;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ColorAnimation1Finish(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

{ TForm1 }

procedure TForm1.ColorAnimation1Finish(Sender: TObject);
begin
  Rectangle1.Visible:=False;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Rectangle1.BringToFront;
  Rectangle1.Fill.Color:=TAlphaColorRec.Black;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  ColorAnimation1.Start;
end;

end.

